Create new case
curl --request POST \
--url https://api.debbiecollect.com/v1/{tenantId}/cases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "EUR",
"customerId": "a7fcf07c-74f2-40d9-8ea6-e67b07b14ca4",
"caseVouchers": [
{
"referenceId": "Fakt. 123456",
"voucherTypeId": "eb41e58e-fccf-419d-a771-cd5027fe6e87",
"amount": -259900,
"source": "CREDITOR",
"date": "2024-05-01 00:00:00.000+01",
"dueDate": "2024-05-08 00:00:00.000+01",
"referenceVouchers": [
{
"interestStartDate": "2024-06-01 00:00:00.000+01",
"amount": 0,
"source": "COLLECTOR",
"voucherTypeId": "ca4af363-9925-436c-83d6-23b3db6ed5d2",
"date": "2024-06-01 00:00:00.000+01"
},
{
"voucherTypeId": "3e51bf87-3c8f-4dd5-abd5-69417d113c89",
"amount": -10000,
"source": "CREDITOR",
"date": "2024-05-28 00:00:00.000+01"
},
{
"voucherTypeId": "3e51bf87-3c8f-4dd5-abd5-69417d113c89",
"amount": -10000,
"source": "CREDITOR",
"date": "2024-06-07 00:00:00.000+01"
}
]
}
]
}
'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/cases"
payload = {
"currency": "EUR",
"customerId": "a7fcf07c-74f2-40d9-8ea6-e67b07b14ca4",
"caseVouchers": [
{
"referenceId": "Fakt. 123456",
"voucherTypeId": "eb41e58e-fccf-419d-a771-cd5027fe6e87",
"amount": -259900,
"source": "CREDITOR",
"date": "2024-05-01 00:00:00.000+01",
"dueDate": "2024-05-08 00:00:00.000+01",
"referenceVouchers": [
{
"interestStartDate": "2024-06-01 00:00:00.000+01",
"amount": 0,
"source": "COLLECTOR",
"voucherTypeId": "ca4af363-9925-436c-83d6-23b3db6ed5d2",
"date": "2024-06-01 00:00:00.000+01"
},
{
"voucherTypeId": "3e51bf87-3c8f-4dd5-abd5-69417d113c89",
"amount": -10000,
"source": "CREDITOR",
"date": "2024-05-28 00:00:00.000+01"
},
{
"voucherTypeId": "3e51bf87-3c8f-4dd5-abd5-69417d113c89",
"amount": -10000,
"source": "CREDITOR",
"date": "2024-06-07 00:00:00.000+01"
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: 'EUR',
customerId: 'a7fcf07c-74f2-40d9-8ea6-e67b07b14ca4',
caseVouchers: [
{
referenceId: 'Fakt. 123456',
voucherTypeId: 'eb41e58e-fccf-419d-a771-cd5027fe6e87',
amount: -259900,
source: 'CREDITOR',
date: '2024-05-01 00:00:00.000+01',
dueDate: '2024-05-08 00:00:00.000+01',
referenceVouchers: [
{
interestStartDate: '2024-06-01 00:00:00.000+01',
amount: 0,
source: 'COLLECTOR',
voucherTypeId: 'ca4af363-9925-436c-83d6-23b3db6ed5d2',
date: '2024-06-01 00:00:00.000+01'
},
{
voucherTypeId: '3e51bf87-3c8f-4dd5-abd5-69417d113c89',
amount: -10000,
source: 'CREDITOR',
date: '2024-05-28 00:00:00.000+01'
},
{
voucherTypeId: '3e51bf87-3c8f-4dd5-abd5-69417d113c89',
amount: -10000,
source: 'CREDITOR',
date: '2024-06-07 00:00:00.000+01'
}
]
}
]
})
};
fetch('https://api.debbiecollect.com/v1/{tenantId}/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"caseSeqId": 123
}Cases
Create case
Create new case allows the api consumer to create new cases
POST
/
v1
/
{tenantId}
/
cases
Create new case
Authorizations
Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.
Path Parameters
Id of the tenant the case is being created for
Body
application/json
New case object
Id of the customer which the case belongs to
Currency
Available options:
DKK, SEK, NOK, USD, EUR, GBP, CHF Id of case group
Show child attributes
Show child attributes
Case properties. You can create your own property types under settings in the platform. Use the handle as object key like this: { "mySingleLineTextPropertyTypeHandle": "your value" }
Show child attributes
Show child attributes
Set to override the journal number with a custom string. Set to null to revert to the default sequential format.
Show child attributes
Show child attributes
⌘I